<!doctype html>
<html class="not-ready lg:text-base" lang="en">
  <head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

  <!-- Title -->
  <title>
    Home
  </title>

  <!-- Meta -->
  <meta name="theme-color" />

  <!-- Author -->
  
  <meta name="description" content="Hi, my name is Yanbo Guan, a student in IDS-721 course, here is the website includes all my projects." />
  <meta name="author" content="yanbo" />
  

  <!-- CSS & JS -->
  <link rel="preload stylesheet" as="style" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/main.css" />
  <style>
    :root {
      --bg: #f4f4f5;
      --bg-dark: #18181b;
      --header: #e4e4e7;
      --header-dark: #27272a;
    }
  </style>

  
  <!-- Avatar -->
  
  <link rel="preload" as="image" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/photo.jpg" />
  

  <!-- Social List -->
  
  <!---->
  

  <!-- Dark Icon -->
  <link rel="preload" as="image" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/icons/theme.svg" />

  <!-- Math -->
  
  <!---->

  <!-- Mermaid -->
  
  <!---->

  <!-- Favicon -->
  <link rel="icon" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/favicon.ico" />
  <link rel="apple-touch-icon" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/apple-touch-icon.png" />

  <!-- Feeds -->
  
  <!---->
  
  <link
    rel="alternate"
    type="application/atom+xml"
    title="Atom"
    href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/atom.xml"
  />
  
  <!---->
  

  <!-- Canonical -->
  <link rel="canonical" href="https:&#x2F;&#x2F;individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io" />
</head>

  <body class="text-black duration-200 ease-out dark:text-white">
    <header
  class="header fixed top-0 z-40 mx-auto min-h-[3.5rem] w-full"
>
  <div class="mx-auto w-full max-w-4xl p-3 lg:flex lg:justify-between">
    <div class="flex justify-between">
      <div class="flex items-center">
        <a class="text-2xl font-semibold" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io">Home</a>
        <div
          class="btn-dark ml-4 h-6 w-6 shrink-0 cursor-pointer text-[0] [background:url(./icons/theme.svg)_left_center/cover_no-repeat] dark:invert dark:[background-position:right]"
          role="button"
          aria-label="Dark"
        ></div>
      </div>
      
      <div
        class="btn-menu relative z-50 flex h-8 w-8 shrink-0 cursor-pointer flex-col items-center justify-center gap-2.5 lg:hidden"
        role="button"
        aria-label="Menu"
      ></div>
      
    </div>
    <script>
      // base
      const htmlClass = document.documentElement.classList;
      setTimeout(() => {
        htmlClass.remove("not-ready");
      }, 10);

      // mobile menu
      const btnMenu = document.querySelector(".btn-menu");
      btnMenu?.addEventListener("click", () => {
        htmlClass.toggle("open");
      });

      // dark theme
      const setDark = (isDark) => {
        htmlClass[isDark ? "add" : "remove"]("dark");
        localStorage.setItem("dark", isDark);
      };

      // init
      const darkScheme = window.matchMedia("(prefers-color-scheme: dark)");
      if (htmlClass.contains("dark")) {
        setDark(true);
      } else {
        const darkVal = localStorage.getItem("dark");
        setDark(darkVal ? darkVal === "true" : darkScheme.matches);
      }

      // listen system
      darkScheme.addEventListener("change", (event) => {
        setDark(event.matches);
      });

      // manual switch
      const btnDark = document.querySelector(".btn-dark");
      btnDark.addEventListener("click", () => {
        setDark(localStorage.getItem("dark") !== "true");
      });
    </script>
    
    <nav class="flex w-full items-center lg:w-auto">
      <ul
        class="nav-wrapper flex w-full flex-col py-2 lg:w-auto lg:flex-row lg:self-center lg:py-0"
      >
        
        <li>
          <a
            class="primary-link block py-2 text-center text-lg font-medium lg:px-3 lg:py-0"
            href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/projects"
            >Projects</a
          >
        </li>
        
        <li>
          <a
            class="primary-link block py-2 text-center text-lg font-medium lg:px-3 lg:py-0"
            href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/About"
            >About</a
          >
        </li>
        
      </ul>
    </nav>
    
  </div>
</header>


    <main
      class="prose prose-neutral relative mx-auto min-h-[calc(100%-9rem)] max-w-3xl px-4 pb-16 pt-32 dark:prose-invert"
    >
      

      <!-- Profile -->
      <!---->
      
<div class="mb-16 flex items-start">
  
  <div
    class="mr-5 shrink-0 rounded-full border-[0.5px] border-black/10 bg-white/50 p-3 shadow dark:bg-white/[15%]"
  >
    <img
      class="dark:invert my-0 aspect-square w-16 rounded-full !bg-black/5 hover:animate-spin"
      src="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io/photo.jpg"
      alt="IDS-721 Project Website"
    />
  </div>
  <!---->

  
  <div>
    <h1 class="mb-2 text-3xl font-bold">IDS-721 Project Website</h1>
    <div class="mb-2 break-words">
      Hi, my name is Yanbo Guan, a student in IDS-721 course, here is the website includes all my projects.
    </div>

    
  </div>
  
</div>

<!---->
      <!---->
      
      <!-- Content from _index.md -->
      <section>
        <h1>Introduction of the Course</h1>
        <div><h2 id="overview">Overview</h2>
<p>Welcome to the homepage of my website. Here you can find information about me and my work. Please click on the Projects button on the top-right corner of the page to navigate the project contents. Home button is located on the top left corner</p>
<h2 id="ids-721-cloud-computing-for-data-analysis">IDS-721 Cloud Computing for Data Analysis.</h2>
<ul>
<li>Term: Spring 2024</li>
<li>Date:  01/10/2024 - 04/17/2024</li>
</ul>
<h2 id="course-description">Course Description:</h2>
<ul>
<li>This course is designed to give you a comprehensive view of cloud computing including Big Data, Machine Learning and Large Language Models (LLMS). A variety of learning resources will be used including interactive labs on AWS. This is a project-based course with extensive hands-on assignments and the language will be exclusively used.</li>
</ul>
<h2 id="learning-objectives">Learning Objectives:</h2>
<ul>
<li>Summarize the fundamentals of cloud computing</li>
<li>Achieve AWS Solutions Architect Certification</li>
<li>Master the Rust language for general programming</li>
<li>Effectively utilize AI Pair Programming</li>
<li>Evaluate the economics of cloud computing</li>
<li>Accurately evaluate distributed computing challenges and opportunities and apply this knowledge to real-world projects.</li>
<li>Develop non-linear life-long learning skills</li>
<li>Build, share and present compelling portfolios using: GitLab, Hugging Face, YouTube, Linkedin and a personal portfolio website.</li>
<li>Develop Metacognition skills (By teaching we learn)</li>
</ul>
<h2 id="core-tech-stack">Core Tech Stack</h2>
<ul>
<li>Rust</li>
<li>AWS (AWS Learner Labs, Optional Free Tier Account)</li>
<li>GitLab</li>
<li>Slack</li>
<li>AWS Lightsail for Research (GPU)</li>
<li>CodeWhisperer</li>
</ul>
<h2 id="projects">Projects</h2>
<ul>
<li>Project 1: Continuous Delivery of Personal Website</li>
<li>Project 2: Continuous Delivery of Rust Microservice</li>
<li>Project 3: Rust Vector Database or Polar DataFrame API</li>
<li>Project 4: Rust AWS Lambda and Step Functions</li>
<li>Final Project: LLMOps - Model Serving with Rust</li>
</ul>
</div>
      </section>
      <!-- Pages -->
<!---->
<!---->
<!---->



<!-- Main Nav -->

<!---->
      
    </main>

    <footer class="mx-auto flex max-w-3xl flex-wrap items-center px-8 py-4 text-sm opacity-60">
  <div class="mr-auto basis-full lg:basis-1/2">
    &copy; 2020 -  2024
    <a class="link" href="https://individual-project1-dukeaiml-ids721-3a874b9b83d2e9da13fe30042b7.gitlab.io"
      >yanbo</a
    >
     |<!---->
    <!---->
    <a class="link" href="https:&#x2F;&#x2F;creativecommons.org&#x2F;licenses&#x2F;by-sa&#x2F;4.0&#x2F;deed" rel="noopener" target="_blank">
      CC BY-SA 4.0
    </a>
    <!---->
    
  </div>
  <div class="flex basis-full lg:basis-1/2 lg:justify-end">
    <a class="link mr-6 lg:ml-6" href="https://www.getzola.org/" rel="noopener" target="_blank"
      >Powered by Zola</a
    >
    <a class="link" href="https://github.com/st1020/kita" rel="noopener" target="_blank">✎ Kita</a>
  </div>
</footer>

  </body>
</html>
